
import 'package:farmer_client/pages/machinery/map/widgets/detail.dart';
import 'package:farmer_client/widgets/layout/BasicPage.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class MachineryMapPage extends BasicPage {

  // 响应预约事件
  void handleClick() {
    Get.toNamed("/machineryDetail");
  }

  @override
  void beforeShow() {
    // TODO: implement onMounted
    super.beforeShow();
    print("----show----map page--------------");
  }

  @override
  void beforeHide() {
    // TODO: implement beforeHide
    super.beforeHide();
    print("-----hide---map page--------------");
  }

  @override
  Widget builder(BuildContext context) {
    naviTitle = "查看地图";
    return page(context: context, handleClick: handleClick);
  }
  
}

